### File

`packages/components/eui-input-text/eui-icon.directive.ts`

### Description

Directive to add an icon to an eui-input-text element, allowing for click events too.

Example :

    <input euiInputText euiIcon="eye:filled">

### Implements

`OnDestroy`

### Metadata

Selector | `input[euiInputText][euiIcon]`

### Index

###### Properties
euiIcon iconClick readonly
###### Inputs
euiIcon
###### HostBindings
attr.readonly class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

euiIcon

### HostBindings

attr.readonly
Type : `string | null`

class
Type : `string`

### Properties

euiIcon

iconClick
Default value : `output()`

readonly
Default value : `input(null, { transform: booleanAttribute })`

### Accessors

cssClasses
get `cssClasses()`
set `cssClasses(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

# results matching ""

# No results matching ""